Subject: Re: [Outreachy] internship contribution

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 12 Oct 2022 13:45:23 +0700

On 2022-10-11 21:42:52-0700, Junio C Hamano <[email-masked]> wrote:
> NSENGIYUMVA WILBERFORCE <[email-masked]> writes:
> 
> > Hi team, I am reading through "My first contribution"
> > when I run make all doc, I get the following;
> >
> > SUBDIR git-gui
> >     SUBDIR gitk-git
> >     SUBDIR templates
> > make -C Documentation all
> > make[1]: Entering directory '/mnt/c/Users/USER/documents/git/Documentation'
> > make[2]: Entering directory '/mnt/c/Users/USER/documents/git'
> > make[2]: 'GIT-VERSION-FILE' is up to date.
> > make[2]: Leaving directory '/mnt/c/Users/USER/documents/git'
> >     XMLTO git-version.1
> > /bin/sh: 1: xmlto: not found
> > make[1]: *** [Makefile:355: git-version.1] Error 127
> > make[1]: Leaving directory '/mnt/c/Users/USER/documents/git/Documentation'
> > make: *** [Makefile:2720: doc] Error 2
> >
> > How should I go about it?
> 
> Googling "xmlto: not found", the first result is
> 
>     https://command-not-found.com/xmlto
> 
> The page lists how to get and install it for various platforms, and
> WSL/Windows should be included there.
> 
> I believe "My first contribution" recommends to first read the
> top-level INSTALL before continuing (and if not, it should be
> updated to).  Simpler things first---building and installing the
> vanilla source code without any of your changes should be simpler
> and you should become confident in doing that, before you start
> modifying anything. Otherwise, when you encounter a problem, you
> would not be able to tell if you broke it with your change, or your
> basic set-up is not complete (e.g. missing necessary tools like
> xmlto) and unable to build and install from even vanilla set of
> sources.

Maybe he is on Windows and using Git-for-Windows SDK? I'm not sure
what's included there, but I can imagine that man-pages is useless
on Windows, they would prefer html docs instead. Perhaps, they want:

	make all && make -C Documentation html

When building only html, xmlto is not necessary to be installed.

-- 
Danh